Bug 3205 - Important sentence missing in description of osso_initialize()
: Important sentence missing in description of osso_initialize()
Status: RESOLVED FIXED
Product: Desktop platform
libosso
: 4.0
: All Maemo
: Medium major (vote)
: ---
Assigned To: unassigned
: documentation@maemo.org
: http://maemo.org/api_refs/4.0/libosso...
: docs
:
:
  Show dependency tree
 
Reported: 2008-05-30 20:06 UTC by Axel Sommerfeldt
Modified: 2009-06-10 19:29 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Axel Sommerfeldt (reporter) 2008-05-30 20:06:03 UTC
The description of osso_initialize() is the libosso API reference (see URL) is
not complete. If you compare it with the description which can be found in
libosso.h you'll notice that the sentence

"If you do not want to use the default 'com.nokia' prefix, you must pass the
whole D-Bus service name, e.g. 'org.maemo.my_app'."

is missing. This leads to the wrong impression that your service name must be
of the form "com.nokia.<application>" and only <application> should be used as
first argument.

Maybe it's best to drop all the confusing "com.nokia" stuff anyway (which is
not of interest for third party developers) and simply say that the full
service name, e.g. 'org.maemo.my_app', should be specified as first argument!?
Comment 1 Dave Neary maemo.org 2008-07-01 00:22:00 UTC
The required sentence has been added to the 4.1 documentation:
http://maemo.org/api_refs/4.1/libosso-2.16-1/

Closing as FIXED.
Comment 2 Andre Klapper maemo.org 2008-10-30 19:03:39 UTC
Moving Documentation component from maemo.org to Development Platform since the
bugs there refer to official developer documentation and this falls out of the
responsibility of the community.
Sorry for the noise, you can filter your bugmail by searching for this comment.
Comment 3 Andre Klapper maemo.org 2009-06-10 19:28:34 UTC
Mass-moving package specific complaints about API documentation to the
corresponding packages plus adding "docs" keyword.
Doing this as API documentation is maintained by the developers and hence bug
reports are not visible enough if they are filed under "Development platform >
Documentation").
You can filter your bugmail by searching for "docs-cleanup-20090610".
Sorry for the noise.